<?php
/**
 * phpaga
 *
 * Users
 *
 * This is the user management interface (list and search).
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id: users.php 978 2010-03-21 20:39:05Z florian $
 *
 * Copyright (c) 2002, Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

include_once('./config.php');
phpaga_user_pageperm(PHPAGA_PERM_MANAGE_SYSSETTINGS);

$userInfo = array('pe_lastname' => null,
                  'usr_login' => null);
$usr_id = 0;
$search_args = null;
$rows = null;
$browse = null;
$action = ACTION_NONE;
$result_usrdel = null;
$offset = 0;

phpaga_header(array('menuitem' => 'administration'));

if (isset($REQUEST_DATA['action']) && is_numeric($REQUEST_DATA['action']))
    $action = $REQUEST_DATA['action'];

if (isset($REQUEST_DATA['id']) && is_numeric($REQUEST_DATA['id']))
    $usr_id = $REQUEST_DATA['id'];

switch($action) {

    case ACTION_REMOVE:

        if (is_numeric($usr_id) && ($usr_id > 0))
            $result_usrdel = phpaga_user_delete($usr_id);

        break;

    default:
        break;
}

if (isset($REQUEST_DATA['offset']) && is_numeric($REQUEST_DATA['offset']))
    $offset = (int)$REQUEST_DATA['offset'];

if (isset($REQUEST_DATA['usr_login']) && strlen($REQUEST_DATA['usr_login']))
    $userInfo['usr_login'] = rawurldecode($REQUEST_DATA['usr_login']);

if (isset($REQUEST_DATA['pe_lastname']) && strlen($REQUEST_DATA['pe_lastname']))
    $userInfo['pe_lastname'] = rawurldecode($REQUEST_DATA['pe_lastname']);


/* Build search args to be passed to url */
foreach ($userInfo as $key =>$value) {
    if (isset ($value) && ($value != ''))
        $search_args .= "&$key=".rawurlencode ($value);
}

$location = $_SERVER['PHP_SELF']."?$search_args";

$rows = phpaga_user_search($userInfo, $offset, PHPAGA_RECORDS_PERPAGE);

if (PhPagaError::isError($rows))
    $rows->printMessage();

if (PhPagaError::isError($result_usrdel))
    $result_usrdel->printMessage();
else if (($action == ACTION_REMOVE) && $result_usrdel)
    phpaga_message(_('User deleted'), _('The user has been deleted.'));

$tpl = new psmarty;

$tpl->assign('FORM_ACTION', basename($_SERVER['PHP_SELF']));
$tpl->assign('s_userInfo', $userInfo);
$tpl->assign('rows', $rows);

$tpl->display('users.tpl.html');

phpaga_footer();

?>